package be.msyben.vinylManager.tools.filter;

import be.msyben.vinylManager.properties.Language;
import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 * Filter pour les répertoires
 * @author Mathieu Syben
 */
public class FileFilterDirectory  extends FileFilter {

    /** Creates a new instance of FileFilterDirectory */
    public FileFilterDirectory() {
    }

    /**
     * Défini si un fichier est autorisé par le filtre
     * @param f le fichier à tester
     * @return true si le fichier correspond au filtre, false sinon
     */
    @Override
    public boolean accept(File f) {
        if (f.isDirectory())
            return true;
        return false;
    }

    /**
     * Renvoie la description des fichiers acceptés.
     * @return la description des fichiers acceptés.
     */
    @Override
    public String getDescription() {
        return Language.getInstance().get("filter.directory");
    }
}